--- title: "Get document index status" slug: "rag-get-status" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/rag-get-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get document index status Available in VPC Get the processing status of a document requested for indexing. You can see how far the document has been processed in the indexing system. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/svc/{serviceId}/doc/{docId}/status | ### Request headers For information about the headers common to all RAG APIs, see [RAG request headers](/docs/en/rag-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service's unique identifier | | `docId` | String | Required | Document's unique identifier | ### Request example The request example is as follows: ``` curl --location --request GET 'https://kr-pub-gateway.rag.naverncp.com/api/v1/svc/{serviceId}/doc/12345/status' \ --header 'Authorization: Bearer {apiKey}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | [API response status code](/docs/en/rag-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API response status message](/docs/en/rag-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `data` | Object | - | Document query result | | `data.serviceId` | String | - | Service's unique identifier | | `data.docid` | String | - | Document's unique identifier | | `data.orgid` | String | - | Original document's unique identifier | | `data.step` | Object | - | Indexing procedures - `EXTRACT` \| `CHUNK` \| `EMBED` \| `INDEX` \| `DONE` \| `DELETE` - `EXTRACT`: Extract text from a document. - `CHUNK`: Split extracted text into meaningful units. - `EMBED`: Convert split text to vectors. - `INDEX`: Store vectorized data in a search index. - `DONE`: All indexing processes are complete. - `DELETE`: Document has been deleted (only visible when deleted). | | `data.step.{stepName}.isFailed` | Boolean | - | Step-by-step success status - `true` \| `false` - `true`: failed - `false`: succeeded | | `data.step.{stepName}.startedAt` | String | - | Start date and time - ISO 8601 format | | `data.step.{stepName}.finishedAt` | String | - | End date and time - ISO 8601 format | | `data.step.{stepName}.info` | Object | - | Additional Information | | `data.status` | String | - | Final index status of the document - `NONE` \| `INDEXING` \| `FAILED` \| `PARTIAL` \| `DONE` \| `DELETED` - `NONE`: before indexing - `INDEXING`: indexing in progress - `FAILED`: indexing failed - `PARTIAL`: indexing partially succeeded - `DONE`: indexing completed - `DELETED`: deleted | | `data.updatedAt` | String | - | Modification date and time - ISO 8601 format - The system automatically adds the indexed date and time. | ### Response status codes For information about the HTTP status codes common to all RAG APIs, see [RAG response status codes](/docs/en/rag-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 20000, "message": "Success", "data": { "serviceId": "{serviceId}", "docid": "12345", "orgid": "naver:media-ai-understanding.txt", "step": { "EXTRACT": { "isFailed": false, "startedAt": "2025-07-09T11:31:39.123000+00:00", "finishedAt": "2025-07-09T11:31:39.123000+00:00", "info": {} }, "CHUNK": { "isFailed": false, "startedAt": "2025-07-09T11:31:39.768000+00:00", "finishedAt": "2025-07-09T11:31:39.768000+00:00", "info": {} }, "EMBED": { "isFailed": false, "startedAt": "2025-07-09T11:31:39.784000+00:00", "finishedAt": "2025-07-09T11:31:39.825000+00:00", "info": {} }, "INDEX": { "isFailed": false, "startedAt": "2025-07-09T11:31:39.837000+00:00", "finishedAt": "2025-07-09T11:31:39.856000+00:00", "info": {} }, "DONE": { "isFailed": false, "startedAt": "2025-07-09T11:31:39.768000+00:00", "finishedAt": "2025-07-09T11:31:39.891000+00:00", "info": {} } }, "status": "DONE", "updatedAt": "2025-07-09T11:31:39.897000+00:00" } } ```